org.apache.xmpbox.type

## Class ArrayProperty

- java.lang.Object
- - org.apache.xmpbox.type.AbstractField
  - - org.apache.xmpbox.type.AbstractComplexProperty
    - - org.apache.xmpbox.type.ArrayProperty

    public class ArrayProperty
    extends AbstractComplexProperty

Object representation of a Complex XMP Property (Represents Ordered, Unordered and Alternative Arrays builder)

Author:
  a183132

### Constructor Summary

Constructors
Constructor and Description
`ArrayProperty(XMPMetadata metadata, String namespace, String prefix, String propertyName, Cardinality type)` Constructor of a complex property

### Method Summary

All Methods Instance Methods Concrete Methods
`Cardinality` `getArrayType()`
`List<String>` `getElementsAsString()`
`String` `getNamespace()` Get the namespace URI of this entity
`String` `getPrefix()` Get the prefix of this entity

### Methods inherited from class org.apache.xmpbox.type.AbstractComplexProperty

`addNamespace, addProperty, getAllNamespacesWithPrefix, getAllProperties, getArrayProperty, getContainer, getFirstEquivalentProperty, getNamespacePrefix, getProperty, removeProperty`

### Methods inherited from class org.apache.xmpbox.type.AbstractField

`containsAttribute, getAllAttributes, getAttribute, getMetadata, getPropertyName, removeAttribute, setAttribute, setPropertyName`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ArrayProperty

    public ArrayProperty(XMPMetadata metadata,
                         String namespace,
                         String prefix,
                         String propertyName,
                         Cardinality type)

Constructor of a complex property

Parameters:
  `metadata` - The metadata to attach to this property
  `namespace` - The namespace URI to associate to this property
  `prefix` - The prefix to set for this property
  `propertyName` - The local Name of this property
  `type` - type of complexProperty (Bag, Seq, Alt)

### Method Detail

#### getArrayType

    public Cardinality getArrayType()

#### getElementsAsString

    public List<String> getElementsAsString()

#### getNamespace

    public final String getNamespace()

Get the namespace URI of this entity

Specified by:
  `getNamespace` in class `AbstractField`
Returns:
  the namespace URI

#### getPrefix

    public String getPrefix()

Get the prefix of this entity

Specified by:
  `getPrefix` in class `AbstractField`
Returns:
  the prefix specified